OTBGUI_VECTORDIMENSIONALITYREDUCTION(1)

NAME
otbgui_VectorDimensionalityReduction - OTB VectorDimensionalityReduction application

DESCRIPTION
This is the Vector Dimensionality Reduction (VectorDimensionalityReduction) application, version 6.6.0

Performs dimensionality reduction of the input vector data according to a model file. Parameters: -in <string> Name of the input vector data (mandatory)

-instat
    <string> Statistics file (optional, off by default)

-model <string> Model file (mandatory)

-out
    <string> Output vector data file containing the reduced vector (optional, off by default)

-feat
    <string list> Input features to use for reduction. (mandatory, no default value)

-featout
    <string> Output feature [prefix/list] (mandatory, default value is prefix)

-featout.prefix.name <string>
    Feature name prefix (mandatory, default value is reduced_)

-featout.list.names
    <string list> Feature name list (mandatory)

-pcadim
    <int32> Principal component dimension (optional, off by default)

-mode
    <string> Writing mode [overwrite/update] (mandatory, default value is overwrite)

-inxml
    <string> Load otb application from xml file (optional, off by default)

-progress
    <boolean> Report progress

-help
    <string list> Display long help (empty list), or help for given parameters keys

Use -help param1 [... paramN] to see detailed documentation of those parameters.

EXAMPLES
otbgui_VectorDimensionalityReduction -in vectorData.shp -instat meanVar.xml -model model.txt -out vectorDataOut.shp -feat perimeter area width